Bug 140965 - inconsistent device naming
Summary: inconsistent device naming
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-27 00:48 UTC by John Summerfield
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 11:00:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Summerfield 2004-11-27 00:48:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
In discussion in fedora-list (kernel-2.6.9-1.6_FC2 boot failure where
kernel-2.6.9-1.3_FC2 works) I illustrated that device naming sd{a,b}
depends on plugging order.

I'm told that this is actually a bug.

My test equipment is 
a Pentax Optio 33 LF digital camera that presents as a USB disk
a USB2 disk enclosure containing a 40 Gb Laptop disk drive.
an HP Evectra Pentium III, Nahant-1 DT



Version-Release number of selected component (if applicable):
030-26

How reproducible:
Always

Steps to Reproduce:
1.Insert camera & power on
2.Insert disk
3.View their device names
4. Unplug both
5. Insert disk
6. Inser camera & power on
7. View their changed device names
    

Expected Results:  That the camera and disk drive would have the same
device names at steps 3 and 7.

Additional info:

See the above-mentioned thread.

Note that I've not discovered any documentation on setting up udev and
so it's as installed.

Note that applying updates to this system is difficult. I do, however,
have FC3 and Nahant-2 (AS) systems.

Comment 1 Rahul Sundaram 2004-11-27 01:06:26 UTC
I had the impression that namedev in udev had persistent naming
support which has there to solve precisely this kind of problem. 

Comment 2 Jay Turner 2004-11-27 21:10:28 UTC
udev does indeed support persistent naming, but with the latest version of udev,
it doesn't appear there's integrated support for USB mass storage devices;  will
have to check with the developer to find out what the plans are for integration
of mass storage devices.

Comment 3 Jay Turner 2004-11-29 08:27:35 UTC
Fix summary typo.

Comment 4 Harald Hoyer 2004-11-29 11:00:27 UTC
There is no "out of the box" persistent naming scheme in udev. It just
creates the nodes with the name the kernel suggests (with some minor
renames). Users can create their own rules/naming scheme easily.
http://fedora.redhat.com/docs/udev/
http://www.reactivated.net/udevrules.php


Note You need to log in before you can comment on or make changes to this bug.